Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 12 reacties
Bron: Paint.NET, submitter: urkelman

Zojuist is de vijfde beta-release van Paint.NET 2.5 uitgebracht. Dit programma houdt het midden tussen het met Windows meegeleverde MS Paint en een krachtiger fotobewerkingsprogramma, zoals bijvoorbeeld Adobe Photoshop. Het werkt alleen onder Windows 2000, XP en 2003 Server en wordt in C# ontwikkeld, waardoor het nodig is dat .NET FrameWork ge´nstalleerd is. De final-release voor versie 2.5 staat voor eind november op het programma. Ook de opvolger is al op de roadmap verschenen, versie 2.6 staat voor midden januari volgend jaar op de kalender. Mocht je trouwens al een versie uit de 2.5-serie ge´nstalleerd hebben staan, dan is updaten vanuit het helpmenu ook mogelijk (Help -> Updates -> Check Now). Het changelog van deze release ziet er in ieder geval als volgt uit:

New:
  • Line/Curve tool for drawing either spline or Bezier curves
  • Radial Blur effect
Changed:
  • Better error message when trying to install when .NET 2.0 is present but .NET 1.1 is not
  • Moved Updates and Language submenus over to the File menu
Fixed:
  • Desktop and Programs shortcuts not recreated when doing an update
  • Selection tools not working after opening old PDN images via Windows shell
  • Intermittent crash with Text Tool
  • A lot of bugs (30+)
[break]
Paint.NET 2.5 screenshot
Moderatie-faq Wijzig weergave

Reacties (12)

Mja ik kan geen handig werkende gif ondersteuning vinden (bewegende plaatjes enzo) maargoed verder wel leuk programma O+
Beetje offtopic maargoed;
Better error message when trying to install when .NET 2.0 is present but .NET 1.1 is not
Aangezien ik overal lees dat .NET Framework v2.0 de v1.1 versie zou moeten kunnen vervangen is dit helaas toch bij dit programma niet het geval.
Je moet dus ook (nog) de .NET Framework 1.1 ge´nstalleerd hebben.
Persoonlijk zou ik alleen nog maar .NET Framework 2.0 willen installeren.
Dat noemen ze backwards compatibility. Je hebt voor sommige programma's versie 1 nodig (vaak dus de 1.1.4 en dan nog wat) of framework versie 2.0.

Als ze in een volgende build versie 2.0 gebruiken om te compilen dan heb je idd alleen .net 2.0 nodig.

@milly_jb:
Je hebt gelijk. Wat ik bedoelde te zeggen dat die ervoor gemaakt is om backwards compatible te maken. Ik zei niet dat 2.0 backwards compatibke is ;)
Dan is v2.0 dus juist niet backwards compatible ;)
Om software te ondersteunen op .NET 2.0 moet je het testen onder .NET 2.0
Waarschijnlijk stoppen ze geen moeite in het testen op 2 frameworks. Daarnaast draaien .NET 1.1 en 2.0 prima naast elkaar.

In de Java-wereld zie je vaak dat java-applicaties hun eigen versie van JVM meeleveren, omdat alleen die versie gesupport worden.
Gelukkig is dat met .NET niet het geval: je kunt maximaal 3 versies geinstalleerd hebben tegelijkertijd: 1.0, 1.1 en 2.0. Meer zijn er niet.

Hier een overzicht met wijzigingen van 1.1 naar 2.0 met daarbij de impact op bestaande programmatuur:
http://msdn.microsoft.com...nges/runtime/default.aspx
Java is wel gewoon backwards compatible. Aan alleen de nieuwste versie van de VM heb je genoeg.
paint geeft zelf aan dat ze nu nog niet kunnen zeggen of paint stabiel draait, ze gaan in januari als alles goed is een nieuwe paint uitbrengen die ook op 2.0 draait
Ben ik de enige met time-outs wanneer ik Paint.NET probeer te downen? :?
Denk het wel... net gedownd in 13 sec. ;)
Goed proggie trouwens! :P
Hmf, dan maar via een proxy :Y)

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True